import request from '@/utils/request'

// 分页查询
export const merchantPageList = (query) => {
  return request({
    url: '/merchant/merchantTheatreAuditorium/list',
    method: 'get',
    params: query
  })
}

// 新增/修改
export const saveAndEdit = (data) => {
  return request({
    url: '/merchant/merchantTheatreAuditorium/insertOrUpdate',
    method: 'post',
    data: data
  })
}

// 删除模板
export const deleteById = (id) => {
  return request({
    url: '/merchant/merchantTheatreAuditorium/deleteById',
    method: 'delete',
    params: {id:id}
  })
}

// id获取详情
export function getSelectById(id) {
  return request({
    url: '/merchant/merchantAuditoriumSeat/selectByAuditoriumId?auditoriumId=' + id,
    method: 'get'
  })
}

// 座位模板 新增/修改
export const seatSaveAndEdit = (data) => {
  return request({
    url: '/merchant/merchantAuditoriumSeat/save',
    method: 'post',
    data: data
  })
}

// 解除绑定票务
export const performUnBindGoods = (data) => {
  return request({
    url: '/goods/performInfo/performUnBindGoods',
    method: 'post',
    data: data
  })
}
